# Описание charts lorain

Chart запускает сервис lorain


Описание собственных параметров пакета (файл value.yaml)

| Параметр | Значение в value.yaml | Коммментарии |
|----------|-----------------------|--------------|
| images.repository| registry.infsys.ru/iss/lorain| образ weather |
| images.tag | latest | тег для контейнеров |
| images.pullPolicy | Always | иногда полезно ставить Always, не всегда измененные контейнеры имеют новый тег :) |
| service.port | 8080 | порт http для обращения клиентов к сервису|

Строка развертывания: 

`helm install <имя инстанса> [-f <имя файла yaml >] sem-next/lorain -n <имя namespace>`  , где

* <имя инстанса> - любое имя. имя инстанса будет участвовать в формирвоании имен Pod-ов b services
* <имя файла yaml > - путь к файлу с начальными значениями
* sem-next - репозиторий, предварительно подключенный (см. описание на первой странице проекта)
* lorain - имя пакета 

Пример: 
`helm install lora-ERTELK sem-next/lorain -n inspark`

При изменении начальных значений необхдимо провести upgrade инстанса: 

`helm upgrade <имя инстанса> [-f <имя файла yaml >] sem-next/lorain -n <имя namespace>`

Удаление инстанса выполняется командой: 

`helm uninstall <имя инстанса> -n <имя namespace>`

